/********************************************
  
  orbit7.h :  drawing space-system orbits


*******************************************/

#include <gtk/gtk.h>
#include "gtkdial.h"

#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <time.h>


/*-----------------------------  General Constants */

#define NUM_ELEMENTS 100   /* how many moving bodies to create */

/*-----------------------------  The actual global physics constants */

extern double sun_mass, planet_mass;
extern char spring_p;

extern int win_width, win_height;

/*-----------------------------  Global Arrays */

double position[5*NUM_ELEMENTS];
double old_position[2*NUM_ELEMENTS];
double old_trajectory[2*NUM_ELEMENTS]; 
int old_x[NUM_ELEMENTS];
int old_y[NUM_ELEMENTS];
double r[NUM_ELEMENTS];


/*-----------------------------  Global Function Declarations */

/*     GUI routines called by the mathematics routines  */

void start_X11_gui(int argc, char *argv[]);
void my_putpixel(int i, int j, int color);

/*     Mathematical engine stuff  */

int do_work();
double my_random (double limit);
void generate_system();
int x_func(int move_count);
int y_func(int move_count);
